### Hierarchy

- SearchManagerImpl

### Implements

- SearchManager

## Index

### Constructors

- constructor

### Methods

- addResultItem
- complainToSearchItem
- createRequest
- deleteRequest
- getAllRequests
- getMyRequests
- getSearchResult

## Constructors

### constructor

- new SearchManagerImpl(requestRepository: SearchRequestRepository, offerSearchRepository: OfferSearchRepository, authAccountBehavior: Observable<Account>): SearchManagerImpl

- - Defined in manager/SearchManagerImpl.ts:14

  #### Parameters

  - ##### requestRepository: SearchRequestRepository

  - ##### offerSearchRepository: OfferSearchRepository

  - ##### authAccountBehavior: Observable<Account>

  #### Returns SearchManagerImpl

## Methods

### addResultItem

- addResultItem(offerSearch: OfferSearch): Promise<void>

- Implementation of SearchManager.addResultItem

  - Defined in manager/SearchManagerImpl.ts:55

  #### Parameters

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### complainToSearchItem

- complainToSearchItem(searchResultId: number): Promise<void>

- Implementation of SearchManager.complainToSearchItem

  - Defined in manager/SearchManagerImpl.ts:51

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### createRequest

- createRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchManager.createRequest

  - Defined in manager/SearchManagerImpl.ts:26

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteRequest

- deleteRequest(id: number): Promise<number>

- Implementation of SearchManager.deleteRequest

  - Defined in manager/SearchManagerImpl.ts:43

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllRequests

- getAllRequests(): Promise<Array<SearchRequest>>

- Implementation of SearchManager.getAllRequests

  - Defined in manager/SearchManagerImpl.ts:39

  #### Returns Promise<Array<SearchRequest>>

### getMyRequests

- getMyRequests(id?: number): Promise<Array<SearchRequest>>

- Implementation of SearchManager.getMyRequests

  - Defined in manager/SearchManagerImpl.ts:30

  #### Parameters

  - ##### Default value id: number = 0

  #### Returns Promise<Array<SearchRequest>>

### getSearchResult

- getSearchResult(searchRequestId: number): Promise<Array<OfferSearchResultItem>>

- Implementation of SearchManager.getSearchResult

  - Defined in manager/SearchManagerImpl.ts:47

  #### Parameters

  - ##### searchRequestId: number

  #### Returns Promise<Array<OfferSearchResultItem>>

Generated using TypeDoc